Subject: bug#37656: 27.0.50; Arbitrary code execution with special `mode:'

From: Adam Plaice <[email-masked]>
Date: Wed, 16 Oct 2019 13:51:57 +0200

> Please don't cross-post bug reports.  Please use only one of these two
> lists for any discussions, preferably the bug list.

Sorry!

> This feature was described as "deprecated", but where and why did we
> deprecate it?

I think bug#8613 is where the decision was made.  The deprecation is
mentioned in files.el and the manual warns against using `mode:' for
minor modes in:
(info "(emacs) Specifying File Variables")

Adam